<html>
	<head>
		<title>Image Vomitorium Gallery</title>
	</head>
	<body>
		<h1 align=center>Image Vomitorium Gallery</h1>

<?php
	require 'config.php';
	require 'common.php';
	
	emitUploadForm();
	print "<HR>\n";

	# Image Vomitorium 1.1 by Tyler Bletsch (tkbletsc (at) eml.cc)
	#  http://dsss.be/image-vomitorium/
	
	# This is free software; use at your own risk.  Author accepts no 
	# responsibility for the quality of this product.  Feel free to modify or 
	# distribute this code without restriction.

	#global $maxFileSize, $dataDir, $thumbDir, $thumbnailDim, $thumbnailMethod, $convertCmd, $allowedExtensions;
	
	function isImage ($filename) {
		global $allowedExtensions;
		
		# Get basename and extension; validate extension
		if (preg_match("/(.*)(\..*)$/",$filename, $matches)) {
			$extension=$matches[2];
			$bOkay=0;
			foreach ($allowedExtensions as $ext) {
				if (strcasecmp(".$ext",$extension)==0) { $bOkay=1; }
			}
			return $bOkay;
		} else {
			return 0;
		}
	}
	
	# Base URL
	$urlbase = getUrlBase();


	# build file list
	for ($dp = dir($dataDir); $entry = $dp->read(); ) { $dirs[] = $entry; }
	$dp->close();
	
	# sort it by date
	function cmpDate($a,$b) { global $dataDir; return (filemtime("$dataDir$a") > filemtime("$dataDir$b"))?-1:1; }
	usort($dirs,'cmpDate');
	
	# emit the images
	$table= "<table align=center cellpadding=10><tr>\n";
	$colNum=0; $sizeTotal=0; $numPics=0;
	foreach ($dirs as $entry) {
		$path = "$dataDir/$entry";
		if ($entry == "." || $entry == ".." || !is_file($path) || !isImage($entry)) continue;
		
		$date = gmdate('Y-m-d H:i:s', filemtime($path));
		$size = filesize($path);
		$sizeFormatted = baseTwoMetricUnits($size)."B";
		$sizeTotal += $size;
		$numPics++;
		
		$urlImage = str_replace(" ","%20","$urlbase$dataDir$entry");
		$urlThumb = str_replace(" ","%20","$urlbase$thumbDir$entry");
		$urlView = str_replace(" ","%20","${urlbase}view.php?i=$entry");
		
		$table .= "<td align=center valign=bottom><A href='$urlImage'><img src='$urlThumb' border=0></a><BR><a href='$urlView'>$entry</a><br><font size=1>$date<BR>$sizeFormatted</font></td>\n";
		
		$colNum++;
		if ($colNum == $galleryColumns) {
			$table .= "</tr><tr>\n";
			$colNum=0;
		}
	}
	
	$table .= "</tr></table>\n";
	
	print "<div align=center><i>$numPics pictures occupy ".baseTwoMetricUnits($sizeTotal)."B.</i></div>\n";
	print "<HR>\n";
	print $table;
?>

<HR>
<?php emitBottomLine(); ?>

</body></html>
