<?php

	# Image Vomitorium 1.1 by Tyler Bletsch (tkbletsc (at) eml.cc)
	#  http://dsss.be/image-vomitorium/
	
	# This is free software; use at your own risk.  Author accepts no 
	# responsibility for the quality of this product.  Feel free to modify or 
	# distribute this code without restriction.


	# Maximum file upload size to allow 
	#  The "upload_max_filesize" setting from your php.ini also applies
	$maxFileSize = 8000000; # 8 MB
	
	# Subdirectory where images are to be stored
	#  Needs write access on Unixish systems (chmod a+rwx)
	$dataDir = 'img/';
	
	# Subdirectory where thumbnails are to be stored
	#  Needs write access on Unixish systems (chmod a+rwx)
	$thumbDir = 'img/thm/';
	
	# Max size of the thumbnail in either the X or Y dimensions
	$thumbnailDim = 128;
	
	# Method of creating thumbnails
	#  Valid values:
	#   'gd': Use gd library internally
	#   'command': Execute an external command (like ImageMagick's "convert" tool)
	$thumbnailMethod = 'gd';
	
	# Command used to create thumbnails when $thumbnailMethod is set to 'command'
	#  Default is an imagemagick 'convert' command that produces thumbnails at 
	#  most 128 pixles in width or height with a black border.  Assumes that the 
	#  next two arguments are the source and destination images, respectively.
	$convertCmd = "convert -quality 40 -resize ".$thumbnailDim."x".$thumbnailDim." -bordercolor black -border 1 ";
	
	# List of extensions to allow
	#  Users can still upload any crazy format if they rename it to one of these,
	#  so this isn't fool-proof.
	$allowedExtensions = array("jpg","gif","png","bmp","jpeg");
	
	# Number of columns of thumbnails to show in the gallery
	$galleryColumns = 6;

?>
